#!/usr/bin/perl

# A list of all the forums
# Replace forum1, forum2, etc. with the name of your forums
@forumFileNames = qw ( forum1
  forum2
  forum3
  forum4
);

for($h = 0; $h < 39; $h++) {
	undef @lineData;
	undef @dateData;
	$numLines = 0;
	open(FILE, $forumFileNames[$h] . ".");
	while(<FILE>) {
		chomp;
		push(@lineData, $_);
		($a, $b, $c, $d, $date) = split(/\|/, $_);
		push(@dateData, $date);
		$numLines++;
	}
	close(FILE);
	
	for($i = 0; $i < $numLines; $i++)
	{
		$dateHash{$dateData[$i]} = $lineData[$i];
	}
	
	sort byDate @dateData;
	open(FILE, ">" . $forumFileNames[$h] . ".txt");
	for($i = $numLines - 1; $i >= 0; $i--)
	{
		print FILE $dateHash{$dateData[$i]} . "\n";
	}
	close(FILE);
}

sub byDate {
	my ($amonth, $aday, $ayear, $ahour, $amin, $asec, $bmonth, $bday, $byear, $bhour, $bmin, $bsec);
	($amonth, $aday, $ayear, $ahour, $amin, $asec) = split(/\D+/, $_[0]);
	$amonth = int($amonth);
	$aday = int($aday);
	$ayear = int($ayear);
	$ahour = int($ahour);
	$amin = int($amin);
	$asec = int($asec);

	($bmonth, $bday, $byear, $bhour, $bmin, $bsec) = split(/\D+/, $_[1]);
	$bmonth = int($bmonth);
	$bday = int($bday);
	$byear = int($byear);
	$bhour = int($bhour);
	$bmin = int($bmin);
	$bsec = int($bsec);

	if(($ayear <=> $byear) != 0) { return $ayear <=> $byear; }
	if(($amonth <=> $bmonth) != 0) { return $amonth <=> $bmonth; }
	if(($aday <=> $bday) != 0) { return $aday <=> $bday; }
	if(($ahour <=> $bhour) != 0) { return $ahour <=> $bhour; }
	if(($amin <=> $bmin) != 0) { return $amin <=> $bmin; }
	if(($asec <=> $bsec) != 0) { return $asec <=> $bsec; }
	return 0;
}